using System.ComponentModel;

namespace WCS.Entity.Protocol.Truss
{
    /// <summary>
    /// 桁架 码垛工位 60工位版
    /// </summary>
    public interface ITruss531 : IProtocol
    {
        #region 任务集

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo1 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo2 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo3 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo4 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo5 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo6 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo7 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo8 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo9 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo10 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo11 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo12 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo13 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo14 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo15 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo16 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo17 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo18 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo19 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo20 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo21 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo22 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo23 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo24 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo25 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo26 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo27 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo28 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo29 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo30 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo31 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo32 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo33 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo34 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo35 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo36 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo37 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo38 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo39 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo40 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo41 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo42 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo43 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo44 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo45 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo46 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo47 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo48 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo49 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo50 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo51 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo52 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo53 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo54 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo55 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo56 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo57 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo58 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo59 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo60 { get; set; }

        #endregion 任务集

        /// <summary>
        ///  垛形
        /// </summary>
        [Description("垛形")]
        public short Type { get; set; }

        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大码垛数量")]
        public short MaxQuantity { get; set; }

        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大码垛数量")]
        public short Quantity { get; set; }

        /// <summary>
        ///  码垛结束
        /// </summary>
        [Description("码垛结束")]
        public TrussCmdType CmdType { get; set; }

        /// <summary>
        ///  凭证号，触发信号
        /// </summary>
        [Description("凭证号，触发信号")]
        public short VoucherNo { get; set; }
    }
}
